use actix_web::Responder;
use askama::Template;

use crate::utils::{ApplicationError, TemplateResponse};

#[derive(Template)]
#[template(path = "imprint.html")]
struct ImprintTemplate {}

#[actix_web::get("/imprint")]
pub async fn get_imprint() -> Result<impl Responder, ApplicationError> {
    let template = ImprintTemplate {};

    Ok(template.to_response()?)
}
